List Generations
curl --request GET \
--url https://api2.radinai.com/v2/generation/list \
--header 'x-api-key: <api-key>'import requests
url = "https://api2.radinai.com/v2/generation/list"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api2.radinai.com/v2/generation/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasNextPage": true,
"items": [
{
"apiKeyId": "<string>",
"creditCost": 123,
"createdAt": 0,
"input": {
"prompt": "<string>",
"inputImageIds": [
"<string>"
],
"inputVideoIds": [
"<string>"
],
"inputAudioIds": [
"<string>"
]
},
"status": "completed",
"outputs": [
{
"private": "<string>",
"publicTemporary": "<string>"
}
],
"completedAt": 0,
"webhookUrl": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Manage Generations
List Generations
List Generation requests
GET
/
v2
/
generation
/
list
List Generations
Authorizations
API key, obtained from https://radinai.com/manage-api-keys
Query Parameters
An array of output types you want to list, if not selected, all types will be returned.
Available options:
video, audio, image, prompt Required range:
x >= 0Required range:
3 <= x <= 24Last modified on July 30, 2026
⌘I

